Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1274472 - [Docs] [Director] OSPd does not need optional or yum priorities set
Summary: [Docs] [Director] OSPd does not need optional or yum priorities set
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 7.0 (Kilo)
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: async
: 7.0 (Kilo)
Assignee: Radek Bíba
QA Contact:
URL:
Whiteboard:
: 1292593 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-22 19:14 UTC by Mike Burns
Modified: 2016-04-13 04:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-13 04:41:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mike Burns 2015-10-22 19:14:16 UTC
Description of problem:
In section 3.5 of the doc[1], it talks about registering the undercloud to CDN.  This section needs some significant updates:

Step 4:  remove --enable=rhel-7-server-optional-rpms 
Step 5:  remove completely
Step 6:  remove completely
Step 7:  remove completely
Step 8:  this is the new step 4, fine as it is.

The information for yum priorities makes an interesting addendum or appendix, but it's not necessary for OpenStack.

The important thing here is that we don't rely on optional.  By definition packages that come out of the optional channel are not supported.  

[1] https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html-single/Director_Installation_and_Usage/index.html

Comment 2 Andrew Dahms 2015-11-12 13:29:50 UTC
Assigning to Radek for review.

Comment 3 Radek Bíba 2015-11-18 15:11:57 UTC
Removed via https://gitlab.cee.redhat.com/rhci-documentation/docs-Red_Hat_Enterprise_Linux_OpenStack_Platform/commit/c2fab713220bcb29213be4291555accc21fd98aa.

Preview at http://lacrosse.corp.redhat.com/~rbiba/doc-preview/docs-Red_Hat_Enterprise_Linux_OpenStack_Platform/Installing_and_Using_Red_Hat_Enterprise_Linux_OpenStack_Platform_Director/#sect-Registering_your_System.

Note that what used to be step 8 is the new step 5, not 4. Step 4 still contains the commands that disable everything and only enable the required repos.

Thanks for the report!

Comment 4 Radek Bíba 2015-11-19 14:28:31 UTC
While we're at it, does the same apply to normal (non-director) OSP installations? We have the optional repo and the priorities plug-in a https://access.redhat.com/documentation/en/red-hat-enterprise-linux-openstack-platform/version-7/red-hat-enterprise-linux-openstack-platform-7-installation-reference/chapter-1-introduction/#sect-Subscribing_to_Required_Channels too.

Comment 5 Mike Burns 2015-11-19 14:31:41 UTC
I believe that applies to core OSP as well.  Adding Lon to confirm.

Comment 6 Radek Bíba 2015-12-21 15:25:31 UTC
Lon, can you please check comment 4/5?

Comment 7 Dan Macpherson 2016-01-25 04:48:44 UTC
*** Bug 1292593 has been marked as a duplicate of this bug. ***

Comment 8 Lon Hohberger 2016-02-23 17:51:25 UTC
Yes, that's right core does not need optional.

Comment 9 Alexander Chuzhoy 2016-02-23 20:20:02 UTC
FailedQA:
The doc still includes in section 3.4:
-enable=rhel-7-server-optional-rpms

Comment 10 Radek Bíba 2016-02-24 07:27:05 UTC
Thanks, Lon.

(In reply to Alexander Chuzhoy from comment #9)
> FailedQA:
> The doc still includes in section 3.4:
> -enable=rhel-7-server-optional-rpms

Sasha, which document are you looking at? The change isn't live at the Portal yet.

Please see comment 3.

Comment 11 Alexander Chuzhoy 2016-02-24 15:24:46 UTC
Verified:

The link in comment #3 (with the updated content) looks right, except step 8 is the new step 5.

Comment 12 Andrew Dahms 2016-04-13 04:41:29 UTC
This content is now live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.